zipkin-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Adrian Cole <adrian.f.c...@gmail.com>
Subject Re: Elasticsearch and versions
Date Mon, 22 Apr 2019 22:36:21 GMT
thanks for the feedback, Jordi. I think one point you mention is a bit of
whistling past the graveyard though.

> People can stay in older Zipkin versions till they migrate. > Is not like
we
> break their current installation.

many people historically, even you personally, have asked for extremely
high care when we do anything related to storage. it sounds like what you
are saying is that it is ok to drop support for whatever storage concerns
arise, as long as it wasnt our direct cause.

do you really think users will split hairs like this? we are often prey to
support questions regardless of root cause. having our users not upgrade
zipkin also causes huge support burden. it is hard enough to get people to
upgrade as it is. remember the talks about previous ES versions?

I'm not saying we have much better choice but I also think aggressive
version policy on storage will hurt especially those on the gitter support
channel.. explaining why dependencies doesnt work anymore for example.

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message